Overview | Package | Class | Use | Tree | Deprecated | Index | Help
|  | BEA Systems, Inc.
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: INNER | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

WebLogic Server 8.1 API Reference

## weblogic.management.runtime
Interface EntityCacheRuntimeMBean

All Known Subinterfaces:
  EntityCacheCumulativeRuntimeMBean, EntityCacheCurrentStateRuntimeMBean

public interface EntityCacheRuntimeMBean
extends weblogic.management.runtime.RuntimeMBean

This class is used for monitoring an XML Cache.

Author:
  Copyright © 2004 BEA Systems, Inc. All Rights Reserved.

Method Summary
`double` | `getAvgPercentPersistent()` Returns current average percentage of entries in the entity cache that have been persisted to the disk cache.
`double` | `getAvgPercentTransient()` Returns current average percentage of entries in the entity cache that are transient, or have not been persisted.
`double` | `getAvgPerEntryDiskSize()` Returns the current average size of the entries in the entity disk cache.
`double` | `getAvgPerEntryMemorySize()` Returns the current average size of the entries in the entity memory cache.
`double` | `getAvgTimeout()` Returns the average amount of time that the entity cache has timed out when trying to retrieve an entity.
`long` | `getMaxEntryMemorySize()` Returns the current maximum size of the entries in the entity memory cache.
`double` | `getMaxEntryTimeout()` Returns the largest timeout value for any current entry in the entity cache.
`long` | `getMinEntryMemorySize()` Returns the current minimum size of the entries in the entity memory cache.
`double` | `getMinEntryTimeout()` Returns the smallest timeout value for any current entry in the entity cache.
`long` | `getTotalCurrentEntries()` Returns the total current number of entries in the entity cache.
`long` | `getTotalPersistentCurrentEntries()` Returns the total current number of entries in the cache that have been persisted to disk.
`long` | `getTotalTransientCurrentEntries()` Returns the total current number of transient entries in the entity cache.

Methods inherited from interface weblogic.management.WebLogicMBean
`getMBeanInfo, getName, getObjectName, getParent, getType, isCachingDisabled, isRegistered, setName, setParent`

Methods inherited from interface javax.management.DynamicMBean
`getAttribute, getAttributes, invoke, setAttribute, setAttributes`

Methods inherited from interface javax.management.MBeanRegistration
`postDeregister, postRegister, preRegister`

Methods inherited from interface javax.management.NotificationBroadcaster
`addNotificationListener, getNotificationInfo, removeNotificationListener`

Method Detail

### getTotalCurrentEntries

    public long getTotalCurrentEntries()

  Returns the total current number of entries in the entity cache.

  Returns:
    The totalCurrentEntries value

### getTotalPersistentCurrentEntries

    public long getTotalPersistentCurrentEntries()

  Returns the total current number of entries in the cache that have been persisted to disk.

  Returns:
    The totalPersistentCurrentEntries value

### getTotalTransientCurrentEntries

    public long getTotalTransientCurrentEntries()

  Returns the total current number of transient entries in the entity cache.

  Returns:
    The totalTransientCurrentEntries value

### getAvgPercentTransient

    public double getAvgPercentTransient()

  Returns current average percentage of entries in the entity cache that are transient, or have not been persisted.

  Returns:
    The avgPercentTransient value

### getAvgPercentPersistent

    public double getAvgPercentPersistent()

  Returns current average percentage of entries in the entity cache that have been persisted to the disk cache.

  Returns:
    The avgPercentPersistent value

### getAvgTimeout

    public double getAvgTimeout()

  Returns the average amount of time that the entity cache has timed out when trying to retrieve an entity.

  Returns:
    The avgTimeout value

### getMinEntryTimeout

    public double getMinEntryTimeout()

  Returns the smallest timeout value for any current entry in the entity cache.

  Returns:
    The minEntryTimeout value

### getMaxEntryTimeout

    public double getMaxEntryTimeout()

  Returns the largest timeout value for any current entry in the entity cache.

  Returns:
    The maxEntryTimeout value

### getAvgPerEntryMemorySize

    public double getAvgPerEntryMemorySize()

  Returns the current average size of the entries in the entity memory cache.

  Returns:
    The avgPerEntryMemorySize value

### getMaxEntryMemorySize

    public long getMaxEntryMemorySize()

  Returns the current maximum size of the entries in the entity memory cache.

  Returns:
    The maxEntryMemorySize value

### getMinEntryMemorySize

    public long getMinEntryMemorySize()

  Returns the current minimum size of the entries in the entity memory cache.

  Returns:
    The minEntryMemorySize value

### getAvgPerEntryDiskSize

    public double getAvgPerEntryDiskSize()

  Returns the current average size of the entries in the entity disk cache.

  Returns:
    The avgPerEntryDiskSize value

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| Documentation is available at http://e-docs.bea.com/wls/docs81
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: INNER | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD